# Poco::Net

# class QuotedPrintableEncoder

Library: Net
Package: Messages
Header: Poco/Net/QuotedPrintableEncoder.h

## Description

This ostream encodes all data written to it in quoted-printable encoding (see RFC 2045) and forwards it to a connected ostream. Always call close() when done writing data, to ensure proper completion of the encoding operation.

## Inheritance

Direct Base Classes: QuotedPrintableEncoderIOS, std::ostream

All Base Classes: QuotedPrintableEncoderIOS, std::ios, std::ostream

## Member Summary

Inherited Functions: close, rdbuf

## Constructors

### QuotedPrintableEncoder

QuotedPrintableEncoder(
std::ostream & ostr
);

## Destructor

### ~QuotedPrintableEncoder

~QuotedPrintableEncoder();